Subject: Re: bug#36644: Git log search

From: Dmitry Gutov <[email-masked]>
Date: Wed, 24 Jul 2019 17:57:22 +0300

On 17.07.2019 1:31, Noam Postavsky wrote:

> I think shell-quote-argument is a mistake regardless, vc-git-command
> doesn't call a shell, so there is no need for shell-quote-argument.

Right, that is true. Sorry, I got confused by code constructing the 
"full command" value (which intersperses the flags with spaces).